import React from "react";
import { Link as Connectedlink } from "react-router-dom";

import data from "../__stubs__/characters.json";
import logo from "../assets/logo_1x.png";
import logo2x from "../assets/logo_2x.png";
import logo4x from "../assets/logo_4x.png";
import { NavPanel } from "../components/nav-panel";

import {
  BrandText,
  CharName,
  CharacterItem,
  CharacterList,
  Logo,
  Main,
  MainCardWrapper,
  PageHeader,
  SearchButton,
  SearchForm,
} from "./style";
import { Header1 } from "../components/common";
import { InputField } from "../components/field/field";
import { URLs } from "../__data__/urls";

export const SearchCharacterPage = () => {
  return (
    <>
      <PageHeader>
        <Logo
          height="44px"
          width="227"
          src={logo4x}
          alt="Логотип. Надпись Рик и Морти"
          srcSet={`
            ${logo} 220w,
            ${logo2x} 445w,
            ${logo4x} 880w,
          `}
          sizes="
          (max-width: 240px) 100px,
          (min-width: 320px) 440px,
          (min-width: 520px) 880px
        "
        />
        <NavPanel currentNavElement="Персонажи" />
      </PageHeader>
      <Main>
        <MainCardWrapper style={{ flexDirection: "column" }}>
          <Header1>
            <BrandText>Поиск</BrandText> персонажей
          </Header1>
          <SearchForm>
            <InputField label="Поиск" placeHolder="Напишите имя для поиска" />
            <SearchButton>Поиск</SearchButton>
          </SearchForm>
        </MainCardWrapper>
        <CharacterList>
          {data?.map((char) => (
            <Connectedlink to={URLs.ui.charDetail.getUrl(char.id)}>
              <CharacterItem key={char.id}>
                <img src={char.image} />
                <CharName>{char.name}</CharName>
              </CharacterItem>
            </Connectedlink>
          ))}
        </CharacterList>
      </Main>
    </>
  );
};
